**********************
* make Figure 2
**********************

use "C:\__YOUR_PATH_HERE__\figure2.dta"
 
* graph lngdppc
twoway (scatter inequality lngdppc, mcolor(black) mlabel(name) mlabcolor(black)), yscale(range(-10 10)) ///
  ylabel(-10(5)10, labsize(small)) xlabel(, labsize(small)) legend(off) scheme(s2mono)
graph save lngdppc.gph, replace

* graph polity2
twoway (scatter inequality polity2, mcolor(black) mlabel(name) mlabcolor(black)), yscale(range(-10 10)) ///
  ylabel(-10(5)10, labsize(small)) xlabel(, labsize(small)) legend(off) scheme(s2mono)
graph save polity2.gph, replace

* graph corruption
twoway (scatter inequality corrupt, mcolor(black) mlabel(name) mlabcolor(black)), yscale(range(-10 10)) ///
  ylabel(-10(5)10, labsize(small)) xlabel(, labsize(small)) legend(off) scheme(s2mono)
graph save corruption.gph, replace

* graph region
twoway (scatter inequality region, mcolor(black) mlabel(name) mlabcolor(black)), yscale(range(-10 10)) ///
  ylabel(-10(5)10, labsize(small)) xscale(range(.5 4.5)) xlabel(, labsize(small) valuelabel alternate) legend(off) scheme(s2mono)
graph save region.gph, replace

* combine them
graph combine lngdppc.gph polity2.gph corruption.gph region.gph, scheme(s2mono) imargin(vsmall)



***********************
* test for correlations
***********************

* correlations between gamma(inequality) and other variables
pwcorr inequality lngdppc, sig
pwcorr inequality polity2, sig
pwcorr inequality corrupt, sig


* test if other regions are the same as Mid East/N. Africa

* first find mean for MENA
sum inequality if region==1

* check to see if others are the same
by region, sort : ttest inequality == -.5342857