***************************************************************
* this creates the index, does the analysis, and then cleans up
***************************************************************

* adjust the path name to correspond to the folder on your own computer that contains the data files
cd "C:\__YOUR PATH NAME HERE___"

* create the index for each of the five imputed datasets
use outdata1.dta
pca a006 a040 d067 d070 d076 d077 f028 f034 f066 f111
predict piety
label var piety "first principal component"
save "outdata1.dta", replace

use outdata2.dta
pca a006 a040 d067 d070 d076 d077 f028 f034 f066 f111
predict piety
label var piety "first principal component"
save "outdata2.dta", replace

use outdata3.dta
pca a006 a040 d067 d070 d076 d077 f028 f034 f066 f111
predict piety
label var piety "first principal component"
save "outdata3.dta", replace

use outdata4.dta
pca a006 a040 d067 d070 d076 d077 f028 f034 f066 f111
predict piety
label var piety "first principal component"
save "outdata4.dta", replace

use outdata5.dta
pca a006 a040 d067 d070 d076 d077 f028 f034 f066 f111
predict piety
label var piety "first principal component"
save "outdata5.dta", replace


* estimate model 1
* Estimates are combined using the multiple imputation algorithm in Clarify (King, Tomz, and Wittenberg 2000)
* Checks first to ensure that clarify is installed, and installs it if it is not 
* This was tested using Clarify 2.1

net install clarify.pkg
estsimp reg e035 piety male age children educ class income working, robust cluster(s003) mi(outdata1 outdata2 outdata3 outdata4 outdata5)
use outdata1.dta, clear
estsimp reg e036 piety male age children educ class income working, robust cluster(s003) mi(outdata1 outdata2 outdata3 outdata4 outdata5)
use outdata1.dta, clear
estsimp reg e037 piety male age children educ class income working, robust cluster(s003) mi(outdata1 outdata2 outdata3 outdata4 outdata5)
use outdata1.dta, clear


* cleans up so that this file can immediately be run again
use outdata1.dta, clear
drop piety
save "outdata1.dta", replace
use outdata2.dta, clear
drop piety
save "outdata2.dta", replace
use outdata3.dta, clear
drop piety
save "outdata3.dta", replace
use outdata4.dta, clear
drop piety
save "outdata4.dta", replace
use outdata5.dta, clear
drop piety
save "outdata5.dta", replace