* label countries
gen Albania=1 if s003==8
gen Algeria=1 if s003==12
gen Argentina=1 if s003==32
gen Australia=1 if s003==36
gen Austria=1 if s003==40
gen Azerbaijan=1 if s003==31
gen Bangladesh=1 if s003==50
gen Belarus=1 if s003==112
gen Belgium=1 if s003==56
gen BosniaHerzegovina=1 if s003==70
gen Brazil=1 if s003==76
gen Bulgaria=1 if s003==100
gen Canada=1 if s003==124
gen Chile=1 if s003==152
gen China=1 if s003==156
gen Colombia=1 if s003==170
gen Croatia=1 if s003==191
gen CzechRepublic=1 if s003==203
gen Denmark=1 if s003==208
gen DominicanRepublic=1 if s003==214
gen Egypt=1 if s003==818
gen ElSalvador=1 if s003==222
gen Estonia=1 if s003==233
gen Finland=1 if s003==246
gen France=1 if s003==250
gen Georgia=1 if s003==268
gen GermanyEast=1 if s003==901
gen GermanyWest=1 if s003==900
gen GreatBritain=1 if s003==826
gen Greece=1 if s003==300
gen Hungary=1 if s003==348
gen Iceland=1 if s003==352
gen India=1 if s003==356
gen Indonesia=1 if s003==360
gen Iran=1 if s003==364
gen Iraq=1 if s003==368
gen Ireland=1 if s003==372
gen Israel=1 if s003==376
gen Italy=1 if s003==380
gen Japan=1 if s003==392
gen Jordan=1 if s003==400
gen Kyrgyzstan=1 if s003==417
gen Latvia=1 if s003==428
gen Lithuania=1 if s003==440
gen Luxembourg=1 if s003==442
gen Macedonia=1 if s003==807
gen Malta=1 if s003==470
gen Mexico=1 if s003==484
gen Montenegro=1 if s003==912
gen Morocco=1 if s003==504
gen Netherlands=1 if s003==528
gen NewZealand=1 if s003==554
gen Nigeria=1 if s003==566
gen NorthernIreland=1 if s003==909
gen Norway=1 if s003==578
gen Pakistan=1 if s003==586
gen Peru=1 if s003==604
gen Philippines=1 if s003==608
gen Poland=1 if s003==616
gen Portugal=1 if s003==620
gen PuertoRico=1 if s003==630
gen Korea=1 if s003==410
gen Moldova=1 if s003==498
gen Romania=1 if s003==642
gen RussianFederation=1 if s003==643
gen SaudiArabia=1 if s003==682
gen Serbia=1 if s003==891
gen Singapore=1 if s003==702
gen Slovakia=1 if s003==703
gen Slovenia=1 if s003==705
gen SouthAfrica=1 if s003==710
gen Spain=1 if s003==724
gen Sweden=1 if s003==752
gen Switzerland=1 if s003==756
gen Taiwan=1 if s003==158
gen Tanzania=1 if s003==834
gen Turkey=1 if s003==792
gen Uganda=1 if s003==800
gen Ukraine=1 if s003==804
gen USA=1 if s003==840
gen Uruguay=1 if s003==858
gen Venezuela=1 if s003==862
gen VietNam=1 if s003==704
gen Zimbabwe=1 if s003==716
mvencode Albania Algeria Argentina Australia Austria Azerbaijan Bangladesh Belarus Belgium BosniaHerzegovina Brazil Bulgaria ///
  Canada Chile China Colombia Croatia CzechRepublic Denmark DominicanRepublic Egypt ElSalvador Estonia Finland France Georgia ///
  GermanyEast GermanyWest GreatBritain Greece Hungary Iceland India Indonesia Iran Iraq Ireland Israel Italy Japan Jordan ///
  Kyrgyzstan Latvia Lithuania Luxembourg Macedonia Malta Mexico Montenegro Morocco Netherlands NewZealand Nigeria NorthernIreland ///
  Norway Pakistan Peru Philippines Poland Portugal PuertoRico Korea Moldova Romania RussianFederation SaudiArabia Serbia ///
  Singapore Slovakia Slovenia SouthAfrica Spain Sweden Switzerland Taiwan Tanzania Turkey Uganda Ukraine USA Uruguay Venezuela ///
  VietNam Zimbabwe, mv(0)

* delete unnecessary variables
keep Albania Algeria Argentina Australia Austria Azerbaijan Bangladesh Belarus Belgium BosniaHerzegovina Brazil Bulgaria Canada ///
  Chile China Colombia Croatia CzechRepublic Denmark DominicanRepublic Egypt ElSalvador Estonia Finland France Georgia ///
  GermanyEast GermanyWest GreatBritain Greece Hungary Iceland India Indonesia Iran Iraq Ireland Israel Italy Japan Jordan ///
  Kyrgyzstan Latvia Lithuania Luxembourg Macedonia Malta Mexico Montenegro Morocco Netherlands NewZealand Nigeria ///
  NorthernIreland Norway Pakistan Peru Philippines Poland Portugal PuertoRico Korea Moldova Romania RussianFederation ///
  SaudiArabia Serbia Singapore Slovakia Slovenia SouthAfrica Spain Sweden Switzerland Taiwan Tanzania Turkey Uganda Ukraine ///
  USA Uruguay Venezuela VietNam Zimbabwe s002 s003 e035 e036 e037 a006 a040 d067 d070 d076 d077 f028 f034 f066 f111 f025 x051 ///
  x001 x003 x011 x025 x028 x045 x047 

* generate Muslim variable
recode f025 (49=1) (75=1) (70=1) (nonmiss=0), gen(Muslim)
replace Muslim=1 if x051== 800
label var Muslim "identifies as Muslim, Shia, or Sunni"

* generate extended Muslim variable
gen Muslim2 = Muslim
replace Muslim2=1 if s003==12 		/* Algeria correction */
replace Muslim2=1 if s003==504		/* Morocco correction */
label var Muslim2 "Muslim, plus all Moroccans and Algerians"

* generate, recode, and relabel control variables
rename x001 male
rename x003 age
rename x011 children
recode children (9=8) (10=8) (11=8) (12=8) (13=8) (14=8) (15=8) (20=8) /* unclear coding for 8+ children */
rename x025 educ
rename x045 class
recode class (1=5) (2=4) (4=2) (5=1)
label define class 1 "lower class" 2 "working class" 3 "lower middle class" 4 "upper middle class" 5 "upper class", modify
label values class class
rename x047 income
rename x028 working
recode working (1=1) (2=1) (3=1) (nonmiss=0)
label define working 0 "not employed" 1 "employed", modify
label values working working

* recode and relabel variables
recode e035 (1=10) (2=9) (3=8) (4=7) (5=6) (6=5) (7=4) (8=3) (9=2) (10=1)
label define e035 1 "we need larger income differences" 10 "incomes should be more equal", modify
label values e035 e035
recode a006 (1=4) (2=3) (3=2) (4=1)
label define a006 1 "not at all important" 2 "not very important" 3 "rather important" 4 "very important", modify
label values a006 a006
recode d067 (1=5) (2=4) (4=2) (5=1)
label define d067 1 "not important at all" 2 "little importance" 4 "somewhat important" 5 "very important", modify
label values d067 d067
recode d070 (1=5) (2=4) (4=2) (5=1)
label define d070 1 "not important at all" 2 "little importance" 4 "somewhat important" 5 "very important", modify
label values d070 d070
recode d076 (1=5) (2=4) (4=2) (5=1)
label define d076 1 "strongly disagree" 2 "disagree" 4 "agree" 5 "strongly agree", modify
label values d076 d076
recode d077 (1=5) (2=4) (4=2) (5=1)
label define d077 1 "strongly disagree" 2 "disagree" 4 "agree" 5 "strongly agree", modify
label values d077 d077
recode f028 (1=8) (2=7) (3=6) (4=5) (5=4) (6=3) (7=2) (8=1)
label define f028 1 "never" 2 "less often" 3 "once a year" 4 "on other specific holidays" ///
  5 "only on special holidays such as Xmas+Easter" 6 "once a month" 7 "once a week" 8 "more than once a week", modify
label values f028 f028
recode f034 (1=3) (3=1) (4=.) 
label define f034 1 "a convinced atheist" 2 "not a religious person" 3 "a religious person", modify
label values f034 f034
recode f066 (1=7) (2=6) (3=5) (5=3) (6=2) (7=1) 
label define f066 1 "never" 2 "less often" 3 "several times a year" 4 "at least once a month" 5 "once a week" ///
  6 "more than once a week" 7 "every day", modify
label values f066 f066
recode f111 (1=5) (2=4) (4=2) (5=1)
label define f111 1 "strongly disagree" 2 "disagree" 4 "agree" 5 "strongly agree", modify
label values f111 f111

* recode missing values to -999 for LISREL
mvencode s002 s003 e035 e036 e037 a006 a040 d067 d070 d076 d077 f028 f034 f066 f111 male age children educ ///
  class income working f025 x051 Muslim Muslim2, mv(-999)

* earlier waves have few muslims in them
* later drop if s002 == 1 | s002 == 2

order s002 s003 Muslim Muslim2 e035 e036 e037 a006 a040 d067 d070 d076 d077 f028 f034 f066 f111 male ///
  age children educ class income working f025 x051

compress
